it-swarm-ja.com

Xcode 4.3.1を搭載したOS X Lion上のGCC

OS X LionにXcode 4.3.1をインストールした後、GCCコンパイラを失いました。私の勉強にはこれが必要です。これをインストールする方法を誰かが知っていますか?私が見つけることができたのは、Xcode 4.3.1のインストールを提案している人たちだけでしたが、最新のXcodeビルドでは、AppleがGCCコンパイラをXcode.app内に移動しました。以前のバージョンのXcodeにバンドルされているものと同じバージョンのGCCコンパイラーであること。

14
SimonBS

XCodeを開いて、ダウンロードの下の設定に移動し、コマンドラインツールをインストールします。

24
Dan

Ruby 1.8.7( mineothers)をコンパイルしようとするコンテキストで、最近これを行う方法についてのブログ投稿がいくつかあります )短い答え:

コマンドラインツールをインストールします(Xcode:設定>ダウンロード>コンポーネント、または Apple に移動して、Xcodeがインストールされていない場合は個別にダウンロードできます)-gccコマンドですが、実際にはOS Xのパッケージマネージャであるclang Install Homebrew(手順)です。

次に、「dupes」homebrewリポジトリをインストールし、そこから正規のGCC 4.2コンパイラをインストールします。

brew update
brew tap homebrew/homebrew-dupes
brew install Apple-gcc42

/usr/bin/gccは引き続きi686-Apple-darwin11-llvm-gcc-4.2になりますが、/usr/local/bin/gcc-4.2i686-Apple-darwin11-gcc-4.2.1(および関連ツール、g++-4.2など、/usr/local/binでも使用)になります。

次に、ビルドプロセスで使用するメカニズム(CCおよびCXX環境変数を適切に設定するなど)を使用して、clangバージョンではなくコンパイラを選択できます。

15
JdV

実際のXcodeプロジェクトではXcode 4.3を使用していません。コマンドラインソースのコンパイルにのみ使用しており、同じ問題がありました。端末から以下のコマンドを使用して、gccコマンドとccコマンドを戻すことができます。

cd /usr/bin
rm cc gcc c++ g++
ln -s gcc-4.2 cc
ln -s gcc-4.2 gcc
ln -s c++-4.2 c++
ln -s g++-4.2 g++

これはシステム全体の変更を行いますなので、それを行う前にそれが必要なことを確認してください。

これらのコマンドを機能させるには、まだインストールしていない場合は、Xcodeのコマンドラインツールもインストールする必要があります。ツールは、Xcodeのダウンロード設定ペインからインストールできます。

5
Lantrix